/** GET URL參數組合
 *  GET URL parameter combination
 */
function csweb_ajax_getstr(pary, tobj){
	var rtnstr = '',urlary = [],n = 0,dstr,da,tid;
	if(isck_JSON(pary)) pary = JSON.parse(pary);
	if(isck_STRING(pary.urlstr,'Y')) rtnstr = pary.urlstr;
	else if(isck_STRING(pary.phpstr,'Y')){
		rtnstr = pary.phpstr;
		if(isck_STRING(pary.get,'Y')) rtnstr += '?'+pary.get;
		else if(isck_ARRAY(pary.get)){
			for(var i = 0; i < pary.get.length; i++){
				dstr = null;da = (pary.get[i]) ? pary.get[i] : null;tid = null;
				if(!isck_STRING(da.name,'Y') || !isck_STRING(da.type,'Y')) continue;
				if(isck_STRING(da.id,'Y')){
					if(da.id == 'this' && (tobj)) tid = tobj;
					else if($(da.id).length > 0) tid = $(da.id);
				}
				if(da.type == 'str'){
					if(isck_STRING(da.val)) dstr = da.val;
				}else if(da.type == 'para'){
					if((!da.val) || !isck_STRING(pary.para[da.val])) continue;
					dstr = pary.para[da.val];
				}else if(da.type == 'val'){
					if((!tid) || !isck_STRING(tid.val())) continue;
					dstr = tid.val();
				}else if(da.type == 'html'){
					if((!tid) || !isck_STRING(tid.html())) continue;
					dstr = tid.html();
				}else if(da.type == 'attr'){
					if((!tid) || (!da.val) || !isck_STRING(tid.attr(da.val))) continue;
					dstr = tid.attr(da.val);
				}
				if(isck_STRING(dstr)){
					urlary[n] = da.name+'='+EncodeURLutf8(dstr);n++;
				}
			}
			if(urlary.length > 0) rtnstr += '?'+urlary.join('&');
		}
	}
	return rtnstr;
}